View Issue Details

IDProjectCategoryView StatusLast Update
0000801OpenMPT[All Projects] User Interfacepublic2018-03-07 17:12
ReporterSaga MusixAssigned ToSaga Musix 
Status resolvedResolutionfixed 
Product VersionOpenMPT / libopenmpt 0.2-beta17 (upgrade first) 
Target VersionOpenMPT (goals)Fixed in VersionOpenMPT (goals) 
Summary0000801: Merge lossless and lossy export menu items into one

Since the only real difference (apart from storing the last used codec) is the list of offered codecs (lossy being a superset of lossless here), it would probably make sense to merge the two options. Merging would also require the keyboard shortcuts of both items to be merged when importing old keymaps.

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)




2018-03-02 18:53

administrator   ~0003452

r9815 merges the dialog, however merging the keyboard shortcut handling still needs to be done.

Saga Musix

Saga Musix

2018-03-07 17:12

administrator   ~0003471

r9869 merges the shortcut when loading a keymap.

Issue History

Date Modified Username Field Change
2016-05-21 16:52 Saga Musix New Issue
2018-03-02 18:24 manx Target Version => OpenMPT (goals)
2018-03-02 18:46 manx Status new => confirmed
2018-03-02 18:46 manx Description Updated View Revisions
2018-03-02 18:53 manx Note Added: 0003452
2018-03-02 18:53 manx Assigned To => Saga Musix
2018-03-02 18:53 manx Status confirmed => assigned
2018-03-07 17:12 Saga Musix Note Added: 0003471
2018-03-07 17:12 Saga Musix Status assigned => resolved
2018-03-07 17:12 Saga Musix Resolution open => fixed
2018-03-07 17:12 Saga Musix Fixed in Version => OpenMPT (goals)